=== debian/watch ===
version=3

http://sf.net/kradio/kradio4-([0-9\.]*)\.tar\.bz2
