## kradio4 4.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 FIND_PACKAGE(Subversion)
 
-SET(KRADIO_VERSION "4.0.2")
+SET(KRADIO_VERSION "4.0.4")
 
 IF(Subversion_FOUND)
     execute_process(COMMAND svn info ${CMAKE_CURRENT_SOURCE_DIR}
