=== icons/CMakeLists.txt ===
KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR}  )

install (FILES kradio4.png
         DESTINATION share/pixmaps)
