=== plugins/radio/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_radio
     PROPERTIES
-    VERSION    4.0.1
+    VERSION    ${KRADIO_VERSION}
     SOVERSION  4
 
 )
