=== presets/luxembourg/CMakeLists.txt ===

file(GLOB presets  ${CMAKE_CURRENT_SOURCE_DIR}/*.krp)
install(FILES ${presets} DESTINATION ${DATA_INSTALL_DIR}/kradio4/presets/luxembourg )
