=== debian/changelog ===
kradio4 (4.0.4-1) unstable; urgency=low

  * New upstream release
  * New maintainer KDE Extras Team (Closes: #655255)
  * Add Vcs fields
  * Drop obsolete upstream_fixed-segfault-with-recent-libav-libffmpeg.patch

 -- Mark Purcell <msp@debian.org>  Sun, 19 Feb 2012 14:26:32 +1100
