=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: kradio4
 Section: sound
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5), cmake,
  kdelibs5-dev (>= 4:4.2.0), gettext, libsndfile1-dev, liblircclient-dev,
  libmms-dev, libvorbis-dev, libogg-dev, libavformat-dev, libglib2.0-dev,
  libmp3lame-dev, libasound2-dev [linux-any]
 Standards-Version: 3.9.2
 Homepage: http://kradio.sourceforge.net/
+Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kradio4/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kradio4/trunk/
+
 
 Package: kradio4
 Architecture: any
