=== presets/CMakeLists.txt ===
ADD_SUBDIRECTORY(austria)
ADD_SUBDIRECTORY(switzerland)
ADD_SUBDIRECTORY(sweden)
ADD_SUBDIRECTORY(belgium)
ADD_SUBDIRECTORY(iceland)
ADD_SUBDIRECTORY(poland)
ADD_SUBDIRECTORY(ukraine)
ADD_SUBDIRECTORY(belarus)
ADD_SUBDIRECTORY(canada)
ADD_SUBDIRECTORY(greece)
ADD_SUBDIRECTORY(turkey)
ADD_SUBDIRECTORY(croatia)
ADD_SUBDIRECTORY(new-zealand)
ADD_SUBDIRECTORY(hungary)
ADD_SUBDIRECTORY(czechia)
ADD_SUBDIRECTORY(germany)
ADD_SUBDIRECTORY(australia)
ADD_SUBDIRECTORY(south-africa)
ADD_SUBDIRECTORY(france)
ADD_SUBDIRECTORY(argentina)
ADD_SUBDIRECTORY(luxembourg)
ADD_SUBDIRECTORY(finland)
ADD_SUBDIRECTORY(romania)
ADD_SUBDIRECTORY(lithuania)
ADD_SUBDIRECTORY(england)
ADD_SUBDIRECTORY(india)
ADD_SUBDIRECTORY(norway)
ADD_SUBDIRECTORY(ireland)
ADD_SUBDIRECTORY(brazil)
ADD_SUBDIRECTORY(catalonia)
ADD_SUBDIRECTORY(russia)
ADD_SUBDIRECTORY(portugal)
ADD_SUBDIRECTORY(germany-internet)
ADD_SUBDIRECTORY(usa)
ADD_SUBDIRECTORY(netherlands)
ADD_SUBDIRECTORY(spain)
ADD_SUBDIRECTORY(slovakia)
ADD_SUBDIRECTORY(italy)
ADD_SUBDIRECTORY(bulgaria)
ADD_SUBDIRECTORY(uruguay)
