=== plugins/alsa-sound/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_alsa_sound
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )
