=== plugins/dbus/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_dbus
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )
