=== plugins/gui-docking-menu/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_gui_docking_menu
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 
 )
