=== plugins/gui-standard-display/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_gui_standard_display
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )
