=== plugins/internetradio/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 
 
-add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )
+#add_definitions( -DINET_RADIO_STREAM_HANDLING_BY_DECODER_THREAD )
 
 
 #ADD_SUBDIRECTORY(icons)
@@ -49,7 +49,7 @@
 
 SET_TARGET_PROPERTIES(kradio4_plugin_internetradio
     PROPERTIES
-    VERSION       4.0.1
+    VERSION       ${KRADIO_VERSION}
     SOVERSION     4
 )
