=== debian/changelog ===
kradio4 (4.0.7-2build1) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 09 Nov 2013 22:02:54 +0000

kradio4 (4.0.7-2) unstable; urgency=low

  * Upload to unstable
  * Update debian/control - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - no changes

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:34:04 +1000

kradio4 (4.0.7-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 02 Feb 2013 17:11:22 +1100

kradio4 (4.0.6-2) experimental; urgency=low

  * Added Build-Depends: libboost-dev - fixes FTBFS

 -- Mark Purcell <msp@debian.org>  Mon, 05 Nov 2012 10:57:15 +1100

kradio4 (4.0.6-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 08 Sep 2012 13:45:35 +1000
