=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	dh_auto_install --buildsystem=kde --destdir=debian/kradio4
 	install -D -p -m0644 debian/kradio4.xpm \
 	    debian/kradio4/usr/share/pixmaps/kradio4.xpm
+	rm -f $(CURDIR)/debian/usr/sbin
 	# remove useless documentation shipped upstream
 	rm -f \
 	    $(CURDIR)/debian/kradio4/usr/share/doc/kradio4/COPYING \
